Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/blowfish.h File Reference

Blowfish block cipher, header. More...

`#include "beecrypt.h"`
`#include "blowfishopt.h"`

Go to the source code of this file.

## Data Structures
struct | blowfishParam
## Defines
#define | BLOWFISHROUNDS 16
#define | BLOWFISHPSIZE (BLOWFISHROUNDS+2)
## Functions
int | blowfishSetup (blowfishParam *bp, const uint32 *key, int keybits, cipherOperation op)
int | blowfishSetIV (blowfishParam *bp, const uint32 *iv)
int | blowfishEncrypt (blowfishParam *bp, uint32 *dst, const uint32 *src)
int | blowfishDecrypt (blowfishParam *bp, uint32 *dst, const uint32 *src)
int | blowfishECBEncrypt (blowfishParam *bp, int count, uint32 *dst, const uint32 *src)
int | blowfishECBDecrypt (blowfishParam *bp, int count, uint32 *dst, const uint32 *src)
int | blowfishCBCEncrypt (blowfishParam *bp, int count, uint32 *dst, const uint32 *src)
int | blowfishCBCDecrypt (blowfishParam *bp, int count, uint32 *dst, const uint32 *src)
## Variables
const blockCipher | blowfish

## Detailed Description

Blowfish block cipher, header.

Definition in file blowfish.h.

## Define Documentation

#define BLOWFISHPSIZE (BLOWFISHROUNDS+2)

| Definition at line 35 of file blowfish.h. Referenced by blowfishDecrypt, and blowfishSetup.

#define BLOWFISHROUNDS 16

| Definition at line 34 of file blowfish.h.